# Welcome to Homiletics App contributing guide

Thank you for investing your time in contributing to our project! Any contribution you make will be reflected on the deployed Homiletics App in both the [App Store](https://apps.apple.com/us/app/homiletics/id1591978405) and the [Play Store](https://play.google.com/store/apps/details?id=com.thirteenone.homiletics&hl=en_US&gl=US).

In this guide you will get an overview of the contribution workflow from opening an issue, creating a PR, reviewing, and merging the PR.

Use the table of contents icon on the top left corner of this document to get to a specific section of this guide quickly.

## New Contributor Guide

To get an overview of the project, read the [README](./README.md). Here are some resources to help you get started with open source contributions:

* [Finding ways to contribute to open source on GitHub](https://docs.github.com/en/get-started/exploring-projects-on-github/finding-ways-to-contribute-to-open-source-on-github)
* [Set up Git](https://docs.github.com/en/get-started/quickstart/set-up-git)
* [The GitHub flow](https://docs.github.com/en/get-started/quickstart/github-flow)
* [Collaborating with pull requests](https://docs.github.com/en/github/collaborating-with-pull-requests)

## Getting Started

There are many ways to contribute to open source. The best way to get started is via the issues feature on GitHub:

### Issues

Issues are a way to communicate with the community. They are a way to report errors, ask questions, ask for help, or ask for feedback. 

#### Create a new issue

You can open an issue by clicking the "New issue" button in the upper right corner of the GitHub page, or by clicking [this link](https://github.com/ntatko/homiletics-mobile/issues/new/choose).

#### Solve an issue

If you're looking for a way to get started contributing, you can start by solving an issue. You can find a list of issues by clicking the "Issues" button in the upper right corner of the GitHub page, or by clicking [this link](https://github.com/ntatko/homiletics-mobile/issues).

The best issues to pick from are those with the [`Good first issue` label](https://github.com/ntatko/homiletics-mobile/labels/good%20first%20issue), especially if you're a new contributor.

### Make code changes

There are a series of steps to make changes to the code.

* [Create a fork](https://docs.github.com/en/get-started/quickstart/fork-a-repo)
* [Create a branch](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/creating-and-deleting-branches-within-your-repository)
* Make changes to the code
* [Submit a pull request](#pull-requests)


### Pull Requests

Make a pull request when you have made a change to the code. Generally, you will have a fork of the codebase, and you will make changes to the fork. You will then make a pull request to the main branch.

In your pull request description, you should include the following:

* A short summary of the changes you have made
* A link to the issue or issue comment that you are solving
* Screenshots of the app, highlighting the changes you have made
* Preferably pass the tests you have written

For more instructions on creating pull requests, see [Creating a pull request](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/creating-a-pull-request).

Once your pull request is merged, you will be able to see the changes in the main branch. It may take a few days for the changes to be released to the app/play stores.

**NOTE** If you made a bug, you should be prepared to fix it. Make a new issue and add a link to the bug you found, and please include a screenshot of the bug.